OneFactorModel::ShortRateDynamics Class Referenceabstract

Base class describing the short-rate dynamics. More...

`#include <ql/models/shortrate/onefactormodel.hpp>`

Inheritance diagram for OneFactorModel::ShortRateDynamics:
[legend]

## Public Member Functions

| ShortRateDynamics (const ext::shared_ptr< StochasticProcess1D > &process)
virtual Real | variable (Time t, Rate r) const =0
| Compute state variable from short rate.
virtual Rate | shortRate (Time t, Real variable) const =0
| Compute short rate from state variable.
const ext::shared_ptr< StochasticProcess1D > & | process ()
| Returns the risk-neutral dynamics of the state variable.

## Detailed Description

Base class describing the short-rate dynamics.